MPFGPIO(4)

NAME
mpfgpio - Microchip PolarFire SoC MSS GPIO controller

SYNOPSIS
mpfgpio* at fdt?
gpio* at mpfgpio?

DESCRIPTION
The mpfgpio driver provides support for the Microchip PolarFire SoC MSS GPIO controller.

The PolarFire SoC MSS has three GPIO units: GPIO_0, GPIO_1 and GPIO_2. GPIO_0 and GPIO_1 control up to 14 and 24 IOs, respectively. These IOs are routed through IOMUXes. GPIO_2 controls up to 32 IOs through the FPGA fabric.

The IOs can be configured as either inputs or outputs, and accessed using gpioctl(8).

SEE ALSO
gpio(4), intro(4), gpioctl(8)

HISTORY
The mpfgpio driver first appeared in OpenBSD 7.1.